Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IEGLImageBufferSettings Class Reference
EGLImageBufferSettings

Interface that provides the settings used to configure EGLImage Buffer creation. More...

`#include <EGLImage.h>`

Inheritance diagram for Argus::IEGLImageBufferSettings:

List of all members.

## Public Member Functions
virtual Status | setEGLDisplay (EGLDisplay eglDisplay)=0
| Sets the EGLDisplay which owns the EGLImage.
virtual EGLDisplay | getEGLDisplay () const =0
| Returns the EGLDisplay which owns the EGLImage.
virtual Status | setEGLImage (EGLImageKHR eglImage)=0
| Sets the EGLImage to use as the sibling for this Buffer.
virtual EGLImageKHR | getEGLImage () const =0
| Returns the EGLImage to use as the sibling for this Buffer.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IEGLImageBufferSettings ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface that provides the settings used to configure EGLImage Buffer creation.

These Buffers act as siblings for the EGLImage, providing libargus write access to the underlying buffer resources for the destination of capture requests.

Definition at line 69 of file EGLImage.h.

## Constructor & Destructor Documentation

Argus::IEGLImageBufferSettings::~IEGLImageBufferSettings | ( |  | ) |
| inline protected

Definition at line 97 of file EGLImage.h.

## Member Function Documentation

virtual EGLDisplay Argus::IEGLImageBufferSettings::getEGLDisplay | ( |  | ) | const
| pure virtual

Returns the EGLDisplay which owns the EGLImage.

virtual EGLImageKHR Argus::IEGLImageBufferSettings::getEGLImage | ( |  | ) | const
| pure virtual

Returns the EGLImage to use as the sibling for this Buffer.

static const InterfaceID& Argus::IEGLImageBufferSettings::id | ( |  | ) |
| inline static

Definition at line 72 of file EGLImage.h.

virtual Status Argus::IEGLImageBufferSettings::setEGLDisplay | ( | EGLDisplay | eglDisplay | ) |
| pure virtual

Sets the EGLDisplay which owns the EGLImage.

Parameters:

  [in] | eglDisplay | The EGLDisplay that owns the EGLImage.

virtual Status Argus::IEGLImageBufferSettings::setEGLImage | ( | EGLImageKHR | eglImage | ) |
| pure virtual

Sets the EGLImage to use as the sibling for this Buffer.

Parameters:

  [in] | eglImage | The EGLImage to use as the sibling for this Buffer.

The documentation for this class was generated from the following file:

- include/Argus/EGLImage.h